<div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
  <mat-card style="height: 100%;">
    <mat-card-header>
      <mat-card-title>Update</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row mat-typography p-4">
        <form [formGroup]="resetForm">
         
              <div class="col-md-12 my-2">
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Phone</mat-label>
                  <input matInput placeholder="Phone" formControlName="contact" type="tel" name="contact" required>
                  <mat-icon matSuffix>phone</mat-icon>
                  <mat-error>Enter valid phone</mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-12 my-2">
                <mat-form-field appearance="outline" class="w-100">
                  <mat-label>Status</mat-label>
                  <mat-select formControlName="status" name="status">
                    <mat-option value=true >
                      Active
                    </mat-option>
                    <mat-option value=false >
                      Inactive
                    </mat-option>
                 
                  </mat-select>
                  </mat-form-field> 

              </div>
              <div class="col-md-12 my-2">
                 
              </div>
          
      </form>
      
      
        
        
      </div>
    </mat-card-content>
    <mat-card-actions align="right" class="p-2">
    
      <button mat-flat-button (click)="updateClient()" [disabled]="resetForm.status == 'INVALID'"  color="primary" class="btn-black">Update</button>
    </mat-card-actions>
  </mat-card>
</div>
